fec.h File Reference

Go to the source code of this file.

## Functions

void | encode_rs_char (void *rs, unsigned char *data, unsigned char *parity)
int | decode_rs_char (void *rs, unsigned char *data, int *eras_pos, int no_eras)
void * | init_rs_char (int symsize, int gfpoly, int fcr, int prim, int nroots, int pad)
void | free_rs_char (void *rs)
void | encode_rs_8 (unsigned char *data, unsigned char *parity, int pad)
int | decode_rs_8 (unsigned char *data, int *eras_pos, int no_eras, int pad)
void | encode_rs_ccsds (unsigned char *data, unsigned char *parity, int pad)
int | decode_rs_ccsds (unsigned char *data, int *eras_pos, int no_eras, int pad)

## Variables

unsigned char | Taltab []
unsigned char | Tal1tab []

## Function Documentation

## decode_rs_8()

int decode_rs_8 | ( | unsigned char * | data,
|  | int * | eras_pos,
|  | int | no_eras,
|  | int | pad
| ) |  |

## decode_rs_ccsds()

int decode_rs_ccsds | ( | unsigned char * | data,
|  | int * | eras_pos,
|  | int | no_eras,
|  | int | pad
| ) |  |

## decode_rs_char()

int decode_rs_char | ( | void * | rs,
|  | unsigned char * | data,
|  | int * | eras_pos,
|  | int | no_eras
| ) |  |

## encode_rs_8()

void encode_rs_8 | ( | unsigned char * | data,
|  | unsigned char * | parity,
|  | int | pad
| ) |  |

## encode_rs_ccsds()

void encode_rs_ccsds | ( | unsigned char * | data,
|  | unsigned char * | parity,
|  | int | pad
| ) |  |

## encode_rs_char()

void encode_rs_char | ( | void * | rs,
|  | unsigned char * | data,
|  | unsigned char * | parity
| ) |  |

## free_rs_char()

void free_rs_char | ( | void * | rs | ) |

## init_rs_char()

void * init_rs_char | ( | int | symsize,
|  | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | int | pad
| ) |  |

## Variable Documentation

## Tal1tab

unsigned char Tal1tab[]

## Taltab

unsigned char Taltab[]

extern